.section-ingredient-display {
  color: rgb(var(--color-text));
  background-color: rgb(var(--color-background));
}

.block-ingredient-display__image-text-card-wrapper {
  position: relative;
  flex: 1;
  background-color: transparent;
}

.block-ingredient-display__image-text-card {
  color: rgb(var(--color-text));
  background-color: transparent;
}

.block-ingredient-display__image-text-card .card-image,
.block-ingredient-display__image-text-card .card-text {
  flex: 1;
  min-width: 0;
}

.block-ingredient-display__image-text-card .card-image {
  align-self: stretch;
}

.block-ingredient-display__image-text-area .area-image,
.block-ingredient-display__image-text-area .area-card {
  flex: 1;
  align-self: stretch;
  min-width: 0;
}

.block-ingredient-display__image-text-area.card-style
  .block-ingredient-display__image-text-card-wrapper,
.block-ingredient-display__image-text-area.card-style
  .block-ingredient-display__image-text-card {
  background-color: rgb(var(--color-background));
}

.block-ingredient-display__image-text-area.card-style
  .block-ingredient-display__image-text-card-wrapper {
  padding: 10px;
}

.block-ingredient-display__image-text-area.image-text-overlay .card-text {
  flex: 0;
}

.block-ingredient-display__image-text-area.image-text-overlay
  .block-ingredient-display__image-text-card-text-group {
  position: absolute;
  inset-block-start: 50%;
  inset-inline-start: 50%;
  transform: translate(-50%, -50%);
}







/* 小图容器裁切 + 圆角 */
.block-ingredient-display__image-text-card .card-image {
    overflow: hidden;
    border-radius: 16px;
}

/* 小图过渡 */
.block-ingredient-display__image-text-card .card-image img {
    transition: transform .45s ease;
    will-change: transform;
    border-radius: 16px;
}

/* 小图 hover */
/* scale悬浮放大小，translatey向上浮动大小 */
.block-ingredient-display__image-text-card:hover .card-image img {
    transform: scale(1.08) translateY(-4px);
}


/* 中间大图圆角 + 动效 */
.block-ingredient-display__image-text-area .area-image {
    overflow: hidden;
    border-radius: 20px;
    /* 主图可以稍大一点 */
}

.block-ingredient-display__image-text-area .area-image img {
    transition: transform .6s ease;
    will-change: transform;
    border-radius: 20px;
}

.block-ingredient-display__image-text-area .area-image:hover img {
    transform: scale(1.06);
}



/* 限制整个模块最大宽度 */
.section-ingredient-display {
    width: 100%;
    max-width: 1760px;
    margin: 0 auto;
    box-sizing: border-box;
}